batchnorm_forward<{{name|upper}}_NB_OUTPUTS,
                  {{name|upper}}_OUTPUTS_HEIGHT,
                  {{name|upper}}_OUTPUTS_WIDTH,
                  {{name|upper}}_ACTIVATION>
                  ({{input_name}}, {{output_name}}, {{biases_name}}, {{variances_name}}, {{means_name}}, {{scales_name}}, {{name|upper}}_EPSILON);